#include "selector.ih"

Selector::Selector(Alternatives &alternatives)
:
    d_alternatives(alternatives),
    d_index(d_alternatives.size()),
    d_ioctl(Options::instance().input()),
    d_returnValue(ERROR)
{
    setBlockSize();
}
